Bug 133926 - (IT_50526) aspell tight loop in HTML mode
aspell tight loop in HTML mode
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: aspell (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 11:10 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 16:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-09-28 11:10:37 EDT
Version-Release number of selected component (if applicable):
aspell-0.33.7.1-25

Steps to Reproduce:
1. create a test.html HTML file with: "<a>houze</a>"
2. aspell -H -c test.html
3. aspell spins

Expected results:
Should correct my houze-problems.

Additional info:
Backtrace of the tight loop:
#0  ~expecting_keyword (this=0x2f3bd30) at atomicity.h:38
#1  0x0000002a956ec617 in ~GenericCopyPtr (this=0x5184e0) at
clone_ptr-t.hh:40
#2  0x0000002a956ec7bf in
std::vector<autil::ClonePtr<afilter::MapReplReadError::error>,
std::allocator<autil::ClonePtr<afilter::MapReplReadError::error> >
>::_M_insert_aux (this=0x7fbfe55b58, __position=
      {<std::iterator<std::random_access_iterator_tag,
autil::ClonePtr<afilter::MapReplReadError::error>, long,
autil::ClonePtr<afilter::MapReplReadError::error>*,
autil::ClonePtr<afilter::MapReplReadError::error>&>> = {<No data
fields>}, _M_current = 0x2a98a5b010}, __x=@0x7fbfe557e0) at
map_repl_read.hh:70
#3  0x0000002a956ea137 in readin (name=@0x7fbfe55b58, opts=@0x7fbfe55a20,
    stats=@0x7fbfe55c80, items=@0x7fbfe55b80, errors_=@0x7fbfe55b50)
    at stl_vector.h:221
#4  0x0000002a956ec038 in afilter::read (name=@0x7fbfe55db0,
opts=@0x51ab70,
    data=@0x7fbfe55c80, diag=@0x518340, verbose_level=0)
    at map_repl_read.cc:387
#5  0x0000002a95701143 in afilter::get_map (name=@0x5184e0,
    opts=@0x2a95ee26e0, data=@0x1d8b60) at map_repl.cc:83
#6  0x0000002a956f8df5 in get_direct_map_ri (in=@0x5184e0,
out=@0x7fbfe55dc0,
    opts=@0x51ab70) at repl.cc:60
#7  0x0000002a956f8c49 in afilter::get_repl_itr (in=@0x7fbfe55db0,
    out=@0x7fbfe55dc0, opts=@0x51ab70) at repl.cc:28
#8  0x0000002a956e89aa in afilter::get_filter_itr (name=@0x7fbfe55eb0,
    opts=@0x51ab70) at basic_string.h:883
#9  0x0000002a956ddb4b in aspell::get_filter_itr_throw
(name=@0x7fbfe55eb0,
    opts=@0x2a95ee26e0) at check.cc:21
#10 0x000000000040d5ea in
aspell::CheckState<autil::TextChain::const_iterator,
afilter::itr_equal<autil::TextChain::const_iterator> >::start_over (
    this=0x51b2b0, file_name=@0x7fbfe55ea0) at manager.hh:54
#11 0x0000000000409342 in check (interactive=true) at check.hh:82
#12 0x0000000000406fd8 in main (argc=4, argv=0x7fbfe56568) at
aspell.cc:291
#13 0x0000002a95cbf1ae in __libc_start_main () from /lib64/tls/libc.so.6
#14 0x00000000004069ea in _start ()
Comment 1 Kostas Georgiou 2004-10-13 06:35:19 EDT
One of the users here noticed the same problem. 
From top it seems that aspell is also allocationg memory like crazy in
the stuck loop.

PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
8585 georgiou  25   0  656M 656M  1636 R    100.0 32.6   0:37   2 aspell

The fedora version (aspell-0.50.3-19.1) works fine in the same files btw.
Comment 6 Eido Inoue 2004-10-20 15:51:24 EDT
aspell 0.33 is no longer maintained. aspell 0.50 does do HTML
correctly, but backporting to 0.33 is not really an option because the
ABI/API is incompatible.

aspell 0.33 should be regarded as not supporting HTML spell checking.
Comment 7 Bastien Nocera 2004-10-21 05:28:47 EDT
Adrian, could we make a new version for RHEL3 that would remove the
option altogether. That would be a better way to mark the option as
"not supported".
Comment 8 Kostas Georgiou 2004-10-21 07:50:08 EDT
Note that you don't need the -H option if the file ends in .html since
aspell will switch in html mode automatically. 
Comment 9 Eido Inoue 2004-10-21 16:53:10 EDT
Well, html mode still occasionally works, and people use it-- I don't
see removing the option mid-life cycle as being productive for those
people that _are_ using the html mode and it happens to work for them.

Note You need to log in before you can comment on or make changes to this bug.